%global momorel 3

Summary: desktop note-taking application
Name: tomboy
Version: 0.10.2
Release: %{momorel}m%{?dist}
License: GPL
Group: User Interface/Desktops
URL: http://www.beatniksoftware.com/tomboy/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/0.10/%{name}-%{version}.tar.bz2 
NoSource: 0

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: pkgconfig
BuildPrereq: mono-devel >= 1.9
BuildPrereq: mono-core >= 1.9
BuildPrereq: libgnomeprint22-devel >= 2.18.4
BuildPrereq: libgnomeprintui22-devel >= 2.18.2
BuildPrereq: gtk2-devel >= 2.12.9
BuildPrereq: atk-devel >= 1.22.0
BuildPrereq: gtkspell-devel >= 2.0.11
BuildPrereq: dbus-devel >= 1.2.1
BuildPrereq: gtk-sharp2-devel >= 2.12.0
BuildPrereq: gmime-sharp >= 2.2.18
BuildPrereq: galago-sharp >= 0.5.0
BuildPrereq: gnome-sharp-devel >= 2.20.0
BuildPrereq: GConf2
BuildPrereq: dbus-glib-devel
Requires: galago-daemon
Requires: gnome-panel
Requires: gtkspell
Requires: gtk2-common
Requires: hicolor-icon-theme
Requires: mono-addins

%description
Tomboy is a desktop note-taking application for Linux and Unix. Simple and
easy to use, but with potential to help you organize the ideas and
information you deal with every day.

Have you ever felt the frustration at not being able to locate a website you
wanted to check out, or find an email you found interesting, or remember an
idea about the direction of the political landscape in post-industrial
Australia? Or are you one of those desperate souls with home-made, buggy, or
not-quite-perfect notes systems?

Time for Tomboy. We bet you'll be surprised at how well a little application
can make life less cluttered and run more smoothly.
#'

%prep
%setup -q

%build
%configure \
    --disable-scrollkeeper \
    --disable-schemas-install \
    --enable-panelapplet-srvdir-check=yes \
    --enable-dbus=yes \
    --enable-evolution=yes \
    --enable-sketching=yes \
    --enable-galago=yes
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
%find_lang %{name}

desktop-file-install --vendor="" --delete-original \
    --dir %{buildroot}%{_datadir}/applications \
    --add-only-show-in GNOME \
    --remove-only-show-in KDE \
    --remove-category X-Red-Hat-Base \
    --remove-category Application \
    %{buildroot}%{_datadir}/applications/*.desktop

find %{buildroot}%{_libdir} -maxdepth 1 -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/tomboy.schemas > /dev/null
%{_bindir}/gtk-update-icon-cache -q %{_datadir}/icons/hicolor

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/tomboy.schemas
%{_bindir}/%{name}
%{_bindir}/tomboy-panel
%{_libdir}/bonobo/servers/GNOME_TomboyApplet.server
%{_libdir}/%{name}
%{_datadir}/dbus-1/services/org.gnome.Tomboy.service
%{_datadir}/applications/tomboy.desktop
%{_datadir}/gnome/help/%{name}
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/%{name}
%{_mandir}/man1/tomboy.1.*
%{_datadir}/omf/%{name}

%{_libdir}/pkgconfig/*.pc

%changelog
* Thu Sep 25 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.10.2-3m)
- add Requires: mono-addins

* Sat Aug  9 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.2-2m)
- add Requires: gtk2-common hicolor-icon-theme

* Tue May 20 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.2-1m)
- update to 0.10.2

* Sat Apr 19 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.1-1m)
- update to 0.10.1

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.10.0-2m)
- rebuild against gcc43

* Sat Mar 15 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.0-1m)
- update to 0.10.0
- delete patch0 and patch1(merged)

* Tue Feb 19 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.2-3m)
- add patch1 for gnome-sharp-2.16.1

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8.2-2m)
- %%NoSource -> NoSource

* Thu Nov 29 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.2-1m)
- update to 0.8.2

* Fri Oct 19 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.1-1m)
- update to 0.8.1

* Fri Sep 21 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.0-1m)
- update to 0.8.0

* Sun Sep  2 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.3-4m)
- add patch1 for mono-1.2.5

* Mon Jul  9 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.3-3m)
- add patch0 for Tomboy.exe.config

* Tue May 22 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.6.3-2m)
- fix BuildPrereq

* Wed Apr 18 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.3-1m)
- update to 0.6.3

* Tue Mar 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.1-1m)
- update to 0.6.1

* Tue Mar  6 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.0-1m)
- update to 0.6.0

* Tue Feb 27 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.9-1m)
- update to 0.5.9

* Thu Feb 22 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.8-3m)
- rewind %%post script (gconftool-2)

* Mon Feb 19 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.1-3m)
- add patch1 for mono-1.2.3

* Sun Feb 18 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.8-2m)
- revice %%post script (gconftool-2)

* Fri Feb 16 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.8-1m)
- update to 0.5.8 (unstable)

* Sun Sep 17 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.1-2m)
- remove category Application

* Thu Sep  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.1-1m)
- update to 0.4.1

* Mon Sep  4 2006 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.3.9-4m)
- add Requires: galago-daemon, eds-feed

* Sun Sep  3 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.9-3m)
- enable galago-sharp

* Sat Sep  2 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.9-2m)
- add patch0 for dbus

* Thu Aug 24 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.9-1m)
- initial build
